/*
{*******************************************************************}
{                                                                   }
{          BDB 2007                                                 }
{          Res Table info                                           }
{                                                                   }
{          author: rain                                             }
{          date created: 2007/09/14                                 }
{          last update: 2007/09/15                                  }
{          remark: N/A                                              }
{                                                                   }
{          Ȩ(c) 2006-2007                            }
{          HTTP://WWW.BAINSOFT.COM                                  }
{          Copyright (c) 2006-2007 BAIN SOFTWARE                    }
{          ALL RIGHTS RESERVED                                      }
{                                                                   }
{*******************************************************************}
*/

import java.util.*;

public class ResTableInfo
    {
        public ResTableHeaderInfo HeaderInfo = new ResTableHeaderInfo();
        public List<ResRowInfo> RowList = new ArrayList<ResRowInfo>();
        public List<ResIndexInfo> IndexList = new ArrayList<ResIndexInfo>();
        public List<ResRelationInfo> RelationList = new ArrayList<ResRelationInfo>();

        public int getRowCount() 
        {
			return RowList.size();
		}
		
        public int getIndexCount()
        {
            return IndexList.size();
        }

        public int getRelationCount()
        {
            return RelationList.size();
        }
        
        public ResRowInfo Rows(int index)
        {
        	return RowList.get(index);
        }
        
        public ResIndexInfo Indexs(int index)
        {
        	return IndexList.get(index);
        }
        
        public ResRelationInfo Relations(int index)
        {
        	return RelationList.get(index);
        }
        
        public void clear()
        {
            HeaderInfo.clear();
            RowList.clear();
            IndexList.clear();
            RelationList.clear();
        }

    }